public inbox for linux-kernel@vger.kernel.org
 help / color / mirror / Atom feed
From: "Luis R. Rodriguez" <mcgrof@kernel.org>
To: Julia.Lawall@lip6.fr, Gilles.Muller@lip6.fr,
	nicolas.palix@imag.fr, mmarek@suse.com
Cc: linux-kernel@vger.kernel.org, cocci@systeme.lip6.fr,
	"Luis R. Rodriguez" <mcgrof@kernel.org>
Subject: [PATCH 3/4] scripts: add glimpse.sh for indexing the kernel
Date: Fri, 10 Jun 2016 13:42:11 -0700	[thread overview]
Message-ID: <1465591332-31113-4-git-send-email-mcgrof@kernel.org> (raw)
In-Reply-To: <1465591332-31113-1-git-send-email-mcgrof@kernel.org>

Glimpse is a tool you can use to index the kernel. The tool
was recently open sourced under the ISC license and can be
obtained at:

https://github.com/mcgrof/glimpse.git

Signed-off-by: Luis R. Rodriguez <mcgrof@kernel.org>
---
 scripts/glimpse.sh | 12 ++++++++++++
 1 file changed, 12 insertions(+)
 create mode 100755 scripts/glimpse.sh

diff --git a/scripts/glimpse.sh b/scripts/glimpse.sh
new file mode 100755
index 000000000000..5fd24e49f31b
--- /dev/null
+++ b/scripts/glimpse.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+DIR=$(dirname $(readlink -f $0))
+DIR="${DIR}/../"
+
+GLIMPSEINDEX="`which ${GLIMPSEINDEX:=glimpseindex}`"
+if [ ! -x "$GLIMPSEINDEX" ]; then
+	echo 'glimpseindex can be obtained at https://github.com/mcgrof/glimpse.git'
+	exit 1
+fi
+
+find $DIR/* -name "*.[ch]" | $GLIMPSEINDEX -o -H . -F
-- 
2.8.2

  parent reply	other threads:[~2016-06-10 20:42 UTC|newest]

Thread overview: 45+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-06-10 20:42 [PATCH 0/4] scripts/coccicheck: add paramap and indexing options Luis R. Rodriguez
2016-06-10 20:42 ` [PATCH 1/4] coccicheck: move spatch binary check up Luis R. Rodriguez
2016-06-10 20:42 ` [PATCH 2/4] coccicheck: enable paramap support Luis R. Rodriguez
2016-06-11  5:45   ` [Cocci] " SF Markus Elfring
2016-06-11  5:55     ` Julia Lawall
2016-06-10 20:42 ` Luis R. Rodriguez [this message]
2016-06-11 17:09   ` [Cocci] [PATCH 3/4] scripts: add glimpse.sh for indexing the kernel SF Markus Elfring
2016-06-10 20:42 ` [PATCH 4/4] coccicheck: add indexing enhancement options Luis R. Rodriguez
2016-06-10 21:02   ` Julia Lawall
2016-06-10 21:18     ` Luis R. Rodriguez
2016-06-10 21:21       ` Julia Lawall
2016-06-10 21:43         ` [Cocci] " Wolfram Sang
2016-06-10 21:49           ` Luis R. Rodriguez
2016-06-10 21:51             ` Wolfram Sang
2016-06-10 22:08               ` Luis R. Rodriguez
2016-06-10 22:25                 ` Luis R. Rodriguez
2016-06-11  5:46                   ` Wolfram Sang
2016-06-11  5:54                     ` Julia Lawall
2016-06-11  6:09                       ` Wolfram Sang
2016-06-13 18:37                       ` Luis R. Rodriguez
2016-06-13 18:55                         ` Wolfram Sang
2016-06-13 19:48                           ` Julia Lawall
2016-06-13 21:22                             ` Luis R. Rodriguez
2016-06-14  5:08                               ` Julia Lawall
2016-06-11  5:18                 ` Julia Lawall
2016-06-11  5:58                   ` Wolfram Sang
2016-06-11  6:05                     ` Julia Lawall
2016-06-11  5:24               ` Julia Lawall
2016-06-13 18:39                 ` Luis R. Rodriguez
2016-06-11  5:17             ` Julia Lawall
2016-06-13 19:35         ` Luis R. Rodriguez
2016-06-13 19:50           ` Julia Lawall
2016-06-13 21:28             ` Luis R. Rodriguez
2016-06-14  5:22               ` Julia Lawall
2016-06-14 19:27                 ` Luis R. Rodriguez
2016-06-14 20:47                   ` Julia Lawall
2016-06-14 21:10                     ` Luis R. Rodriguez
2016-06-14 21:17                       ` Julia Lawall
2016-06-14 22:02                         ` Luis R. Rodriguez
2016-06-15  7:39                           ` Julia Lawall
2016-06-15 15:36                             ` Luis R. Rodriguez
2016-06-15 15:44                               ` Julia Lawall
2016-06-15 17:53                                 ` Luis R. Rodriguez
2016-06-11  5:55   ` [Cocci] " SF Markus Elfring
2016-06-11  5:27 ` [Cocci] [PATCH 0/4] scripts/coccicheck: add paramap and indexing options SF Markus Elfring

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1465591332-31113-4-git-send-email-mcgrof@kernel.org \
    --to=mcgrof@kernel.org \
    --cc=Gilles.Muller@lip6.fr \
    --cc=Julia.Lawall@lip6.fr \
    --cc=cocci@systeme.lip6.fr \
    --cc=linux-kernel@vger.kernel.org \
    --cc=mmarek@suse.com \
    --cc=nicolas.palix@imag.fr \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox